@import "variables";

#batch_upload_content_div{
  max-width: 40em;
  margin: 0 auto;
  line-height: 1.5;
}

legend{
  width: 100%;
}

dl{
  margin-top: 1em;
  width: 50em;
}

h3{
  width: 50em;
}

dt{
  margin: 0 auto;
  margin-top: 0.5em;
  display: inline-block;
  &:after{
    content: ":";
  }
}
dd{
  margin-top: 0.5em;
}

form{
  margin-bottom: 1em;
}

// .btn--submit {
//     @include btn($appliedAssay-color,$appliedAssay-color);
//     display: inline-block;
//     border: 0;
//     border-radius: 3pt;
//     order: 2;
//     margin-left: auto;
//     background-color: $primary-color;
//     color: white;
// }

// .btn--cancel {
//     @include btn($series-color,$series-color);
//     display: inline-block;
//     border: 0;
//     border-radius: 3pt;
//     order: 2;
//     margin-left: auto;
//     margin-right: 1em;
//     background-color: $series-color;
//     color: white;
// }

@mixin tab_header_mixin($color) {
    text-decoration: none;
    background-color: $color;
    color: white;
    // border-top-right-radius: 5pt;
    // border-top-left-radius: 5pt;
    // border-left: 2pt solid white;
    // @extend .header-shadow;
    // &:hover {
    //     text-decoration: underline;
    //     background-color: lighten($color, 10);
    // }
    // & a {
    //     color: white;
    // }
}

.assay_table th{
  @include tab_header_mixin($assay-color);
}

.panel-default>.panel-heading {
  background-color: white;
  text-decoration: none;
  &:hover{
    // background-color: #f5f5f5;
  }
  & td{
    color:black;
  }
}

.series_table th{
  @include tab_header_mixin($series-color);
}

.biosample_table th{
  @include tab_header_mixin($biosample-color);
}

.sequencing_table th{
  @include tab_header_mixin($sequencing-color);
}

.data_table th{
  @include tab_header_mixin($data-color);
}
.card ul{
  list-style-type:none;
  margin-bottom: 0;
}

.glyphicon-refresh-animate {
    -animation: spin 3s infinite linear;
    -webkit-animation: spin2 3s infinite linear;
}

@-webkit-keyframes spin2 {
    from { -webkit-transform: rotate(0deg);}
    to { -webkit-transform: rotate(359deg);}
}

@keyframes spin {
    from { transform: scale(1) rotate(0deg);}
    to { transform: scale(1) rotate(359deg);}
}


.list-group{
  display: inline-block;
}

.list-group-item{
  display: inline-block;
}
div.error_column {
  white-space: normal;
  color: red;
  width: 410px;
  background-color: white;
}
.form-actions{
  text-align: right;
}
